<template>
  <q-input
    outlined
    dense
    v-model="value"
  >
    <template v-slot:append>
      <slot name="append"></slot>
    </template>
    <template v-slot:prepend>
      <slot name="prepend"></slot>
    </template>
  </q-input>
</template>

<script>
export default {
  name: 'VInput',
  props: ['modelValue'],
  emits: ['update:modelValue'],
  computed: {
    value: {
      get() {
        return this.modelValue
      },
      set(val) {
        this.$emit('update:modelValue', val)
      }
    }
  }
};
</script>

<style scoped>

</style>